import * as core from '@shardeum-foundation/lib-crypto-utils';
import { SignedObject, TaggedObject, publicKey, curvePublicKey, sharedKey } from '@shardeum-foundation/lib-crypto-utils';
export declare function setCryptoHashKey(hashkey: string): void;
export declare const hash: typeof core.hash;
export declare const hashObj: typeof core.hashObj;
export type SignedMessage = SignedObject;
export declare function sign<T>(obj: T): T & SignedObject;
export declare function verify(obj: SignedObject): boolean;
export interface TaggedMessage extends TaggedObject {
    publicKey: publicKey;
}
export declare function getOrCreateCurvePk(pk: publicKey): curvePublicKey;
export declare function getOrCreateSharedKey(pk: publicKey): sharedKey;
export declare function tag<T>(obj: T, recipientPk: publicKey): T & TaggedMessage;
export declare function authenticate(msg: TaggedMessage): boolean;
export { core };
