import * as NodeList from '../NodeList';
import { P2P } from '@shardeum-foundation/lib-types';
export declare enum NodeStatus {
    ACTIVE = "active",
    SYNCING = "syncing",
    REMOVED = "removed"
}
type OptionalExceptFor<T, TRequired extends keyof T> = Partial<T> & Pick<T, TRequired>;
export interface Node extends NodeList.JoinedConsensor {
    curvePublicKey: string;
    status: NodeStatus;
}
export type Update = OptionalExceptFor<Node, 'id'>;
export interface Change {
    added: NodeList.JoinedConsensor[];
    removed: Array<string>;
    updated: Update[];
}
export declare function reversed<T>(thing: Iterable<T>): Iterable<T>;
export declare class ChangeSquasher {
    final: Change;
    removedIds: Set<P2P.P2PTypes.NodeInfo['id']>;
    seenUpdates: Map<Update['id'], Update>;
    addedIds: Set<P2P.P2PTypes.NodeInfo['id']>;
    constructor();
    addChange(change: Change): void;
}
export declare function parseRecord(record: P2P.CycleCreatorTypes.CycleRecord): Change;
export declare function parse(record: P2P.CycleCreatorTypes.CycleRecord): Change;
export declare function applyNodeListChange(change: Change): void;
export declare function activeNodeCount(cycle: P2P.CycleCreatorTypes.CycleRecord): number;
export declare function totalNodeCount(cycle: P2P.CycleCreatorTypes.CycleRecord): number;
export {};
