import { CheckpointBucketManager, CheckpointData, CheckpointRadixEntry, CheckpointRadixDigest, CheckpointBucket, RadixDigestTally } from './CheckpointData';
import { Receipt as ReceiptType } from '../dbstore/receipts';
export declare class ReceiptCheckpointData extends CheckpointData<ReceiptType> {
    constructor(receipt: ReceiptType);
}
export declare function calculateBucketID(receipt: ReceiptType): string;
export declare class ReceiptCheckpointRadixEntry extends CheckpointRadixEntry<ReceiptType> {
    constructor(radix: string);
}
export declare class ReceiptCheckpointRadixDigest extends CheckpointRadixDigest {
    constructor(radix: string, hash: string, itemCount: number);
}
export declare class ReceiptCheckpointBucket extends CheckpointBucket<ReceiptType> {
    constructor(startTime: number, endTime: number, bucketID: string, validateData: (data: CheckpointData<ReceiptType>) => Promise<boolean>, updateData: (data: CheckpointData<ReceiptType>) => Promise<void>);
    update(currentTime: number): Promise<void>;
}
declare class ReceiptCheckpointManager extends CheckpointBucketManager<ReceiptType> {
    private static instance;
    private constructor();
    static getInstance(): ReceiptCheckpointManager;
}
export declare class ReceiptRadixDigestTally extends RadixDigestTally {
    constructor(radix: string);
}
export declare const receiptCheckpointManager: ReceiptCheckpointManager;
export {};
