import * as fastify from 'fastify';
type CounterMap = Map<string, CounterNode>;
interface CounterNode {
    count: number;
    subCounters: CounterMap;
}
interface EntriesCounter {
    key: string;
    count: number;
    subArray: EntriesCounter[];
}
export declare let nestedCountersInstance: NestedCounters;
export declare function setNestedCountersInstance(instance: NestedCounters): void;
declare class NestedCounters {
    eventCounters: Map<string, CounterNode>;
    rareEventCounters: Map<string, CounterNode>;
    infLoopDebug: boolean;
    server: fastify.FastifyInstance;
    constructor(server: fastify.FastifyInstance);
    registerEndpoints(): void;
    countEvent(category1: string, category2: string, count?: number): void;
    countRareEvent(category1: string, category2: string, count?: number): void;
    arrayitizeAndSort(counterMap: CounterMap): EntriesCounter[];
    printArrayReport(arrayReport: EntriesCounter[], outputStr: string, indent?: number): string;
}
export default NestedCounters;
