"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerRoutes = void 0;
const txDigestFunctions_1 = require("./txDigestFunctions");
/* To-Do: Add LRU cache for the tx-digests */
function registerRoutes(server) {
    server.get('/api/tx-digests', async (_request, reply) => {
        const cycleStart = Number(_request.query?.cycleStart);
        const cycleEnd = Number(_request.query?.cycleEnd);
        if (isNaN(cycleStart) ||
            isNaN(cycleEnd) ||
            cycleEnd <= cycleStart ||
            cycleStart < 0 ||
            cycleEnd < 0 ||
            cycleEnd - cycleStart > 10000) {
            reply.status(400).send({
                error: 'Invalid query parameters. They must be positive numbers with cycleEnd > cycleStart',
            });
            return;
        }
        console.log(`Fetching tx digests for cycles: ${cycleStart} to ${cycleEnd}`);
        const txDigests = await (0, txDigestFunctions_1.getTxDigestsForACycleRange)(cycleStart, cycleEnd);
        console.log('Fetched Tx digests', txDigests);
        reply.send(txDigests);
    });
}
exports.registerRoutes = registerRoutes;
//# sourceMappingURL=api.js.map