"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeDatabase = exports.initializeDB = exports.digesterDatabase = void 0;
const sqlite3storage_1 = require("../dbstore/sqlite3storage");
const Utils_1 = require("../Utils");
const initializeDB = async (config) => {
    (0, Utils_1.createDirectories)(config.ARCHIVER_DB);
    exports.digesterDatabase = await (0, sqlite3storage_1.createDB)(`${config.ARCHIVER_DB}/${config.ARCHIVER_DATA.txDigestDB}`, 'TxDigestDB');
    await (0, sqlite3storage_1.runCreate)(exports.digesterDatabase, 'CREATE TABLE if not exists `txDigests` (`cycleStart` NUMBER NOT NULL UNIQUE, `cycleEnd` NUMBER NOT NULL UNIQUE, `txCount` NUMBER NOT NULL, `hash` TEXT NOT NULL, PRIMARY KEY (`cycleEnd`))');
};
exports.initializeDB = initializeDB;
const closeDatabase = async () => {
    await (0, sqlite3storage_1.close)(exports.digesterDatabase, 'TxDigesterDB');
};
exports.closeDatabase = closeDatabase;
//# sourceMappingURL=index.js.map