"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initOriginalTxData = void 0;
const SchemaHelpers_1 = require("../../utils/serialization/SchemaHelpers");
const AJVSchemaEnum_1 = require("../enum/AJVSchemaEnum");
// Define the schema for OriginalTxData
const schemaOriginalTxData = {
    type: 'object',
    properties: {
        txId: { type: 'string' },
        timestamp: { type: 'integer', minimum: 0 },
        cycle: { type: 'integer', minimum: -1 },
        originalTxData: { type: 'object' }, // originalTxData must be an object
        // Uncomment if sign is required:
        // sign: { type: 'string' }                 // Sign (if used) must be a string
    },
    required: ['txId', 'timestamp', 'cycle', 'originalTxData'],
    additionalProperties: false, // Disallow other fields
};
// Function to initialize schemas
function initOriginalTxData() {
    addSchemaDependencies();
    addSchemas();
}
exports.initOriginalTxData = initOriginalTxData;
// Function to add schema dependencies (if any external schemas are needed)
function addSchemaDependencies() {
    // No external dependencies for now
}
// Function to register schemas
function addSchemas() {
    (0, SchemaHelpers_1.addSchema)(AJVSchemaEnum_1.AJVSchemaEnum.OriginalTxData, schemaOriginalTxData);
}
//# sourceMappingURL=OriginalTxData.js.map